Z8530_SYNC_TXDMA_OPE(9)

NAME
z8530_sync_txdma_open - Open a Z8530 for TX driven DMA

SYNOPSIS

int z8530_sync_txdma_open(struct net_device * dev, struct z8530_channel * c);

ARGUMENTS

dev
    The network device to attach

c
    The Z8530 channel to configure in sync DMA mode.

DESCRIPTION

Set up a Z85x30 device for synchronous DMA tranmission. One ISA DMA channel must be available for this to work. The receive side is run in PIO mode, but then it has the bigger FIFO.

AUTHOR

Alan Cox <alan@lxorguk.ukuu.org.uk>
    Author.

COPYRIGHT